;
; Do not change nftp.i file; customize nftp.ini!
; Uncomment (remove ";") and change value to customize.
; Note: logical values may be specified as 1/0 or yes/no.
;
[network]
;
; your name for anonymous transfers
;
;anonymous-name=anonymous
;
; your password for anonymous logins. Insert your e-mail address here
; and don't forget to remove leading
;
;anonymous-password="nobody@nowhere.net"
;
; default ftp port. do not change unless you're know what are you doing.
;
;default-port=21
;
; network timeout value. When no data is received during that period
; while transferring, NFTP considers connection broken. Default is
; five minutes (300 sec)
;
;network-timeout=300

;-----------------------------------------------------------------------
;   Firewalling
;
[firewalling]
;
; The firewall descriptions below were taken from WS_FTP docs.
;
; your firewall type:
; 0 - no firewalling (default)
; 1 - SITE hostname
;        Firewall host, userid and password are required.
;        User is logged on the firewall and the remote connection is
;        established using SITE remote_host.
; 2 - USER after logon
;        Firewall host, userid and password are required.
;        User is logged on the firewall and the remote connection is
;        established using USER remote_userid@remote_host
; 3 - USER with no logon
;        Firewall host required, userid and password are ignored.
;        USER remote_userid@remote_host is sent to firewall upon initial 
;        connection.
; 4 - Proxy OPEN
;        Firewall host required, userid and password are ignored.  
;        OPEN remote_host is sent to firewall upon initial connection.
;
;firewall-type=0
;
;firewall-host=
;
;firewall-login=
;
;firewall-password=
;
;firewall-port=
;
;  There is another kind of firewall, which is not specifically 
;  configured. A router-based firewall is one which allows connections 
;  to be established in one direction only.  The router itself is
;  invisible to the user.  However, the default mode within FTP is
;  that "data" connections are established by the server rather than
;  the client.  To work with a router-based firewall requires using
;  the PASV Mode of FTP.
;
;use-PASV-mode=no


;-----------------------------------------------------------------------
;  Owner identification
;
[registration]
;
; Your registration name (specify exactly as typed in registration 
; form); enclose into double quotes
;
;name=
;
; Your registration code. If running unregistered version,
; set this parameter to empty value. Code is the same for all
; versions.
;
;code=
;
; If you're running unregistered and hate those warnings about
; registration, set this parameter to 0 -- you'll no longer see
; warnings. Of course, files larger than 500KB will be still unreachable.
;
;message=1

;-----------------------------------------------------------------------
;
[options]
;
; NFTP version. Do not change; it is used by mechanism of automatic
; nftp.ini updates when upgrading to next version
;
version="1.22"
;
; dereference symlinks on server. Setting to "no" is not recommended
;
;dereference-links=yes
;
; Include files starting with "." into list?
;
;show-dotted=yes
;
; Debugging. Produces large logs
;
;debug=no
;
; whether to beep at the end of transfer
;
;transfer-bell=yes
;
; whether to beep when logged in
;
;login-bell=yes
;
; whether to pause at transfer stats screen at the end of transfer
;
;transfer-pause=yes
;
; whether to log transfers. Pretty useful option to keep history and
; statistics
;
;log-transfers=yes
;
; name of transfer log. This may be global file (one for several instances
; of nftp running simultaneously). default is nftp.fls in nftp directory
;
;log-transfers-name=
;
; whether to ask to save current host/dir as bookmark at logoff.
; this option is better to be left alone; history subsystem does
; the job better.
;
;save-bookmark-at-logoff=no
;
; where to save bookmark information. This may be global file (one for
; several instances of nftp). default is nftp.bmk in nftp directory
;
;bookmarks-file=
;
; external viewer.
; Substitute your favourite viewer/editor.
; default is TEDIT on OS/2, Notepad on Windows, vi on Linux
;
;text-viewer="start /f /win /c tedit.exe"
;text-viewer="notepad.exe"
;text-viewer="vi"
;
; external program used for editing nftp.ini.
; Substitute your favourite editor.
; default is TEDIT on OS/2, Notepad on Windows, vi on Linux
;
;text-editor="tedit.exe"
;text-editor="notepad.exe"
;text-editor="vi"
;
; whether to switch to Control Connection Window automatically when
; sending commands to server
;
;auto-switch-to-control=no
;
; directory sort order for remote files.
; 0-unsorted, 1-by name, 2-by ext, 3-by size, 4-by time
; use negative numbers to reverse, i.e. "-3" gives small files first 
;
;default-sort=0
;
; local directory where downloads go. if this parameter is set,
; nftp will change into this directory after start
;
;default-download-path=
;
; default view of remote directory. 1 - raw (as supplied by server),
; 2 - parsed (owner/group removed)
;
;default-dir-mode=1
;
; whether to set time/date of retrieved file to original values
; (as stored on server)
;
;preserve-timestamp=yes
;
; whether to display server info in bookmarks when description is present
;
;bmk-show-server-info=yes
;
; directory sort order for local files
; 0-unsorted, 1-by name, 2-by ext, 3-by size, 4-by time
; use negative numbers to reverse, i.e. "-3" gives small files first 
;
;default-local-sort=0
;
; interval (in seconds) between retries when anonymous login fails. 
; set to 0 to disable retries. default is 5 minutes
;
;login-retry=300
;
; whether to start in automatic mode (file descriptions from 00index.txt are
; loaded automatically when entering directory). use Ctrl-O to switch between
; manual/automatic modes. default is yes
;
;auto-fetch-descriptions=yes
;
; 00index.txt size at which NFTP starts to warn before automatic
; downloading, in KBytes. default is 50KB
;
;desc-size-warn=50
;
; 00index.txt estimated transfer time at which NFTP starts to warn before
; automatic, in seconds. Default is 25 sec (50KB at 2KB/s)
;
;desc-time-warn=25
;
; number of spaces to show in front of description line. default is 4;
; if you don't like to waste screen space for readability, set to 0.
; this option is obsolete since 1.21 because descriptions are no longer
; shown in "raw" mode, only in the "parsed" mode
;
;description-indentation=4
;
; whether to look up host names when numeric address is given. Set to
; yes if your DNS is fast enough and you want to try to find site name
;
;dns-lookups=no
;
; what prompt to show upon startup. 0 -- no prompt,
; 1 - anonymous login, 2 - bookmarks, 3 - history,
; 4 - private login. default is to open bookmarks window
;
;start-prompt=2

[history]
;
; whether to store information about sites last visited or not.
; if set to "no", new sites will not be added
;
;active=yes
;
; name of the file where history is kept.
; default is nftp.hst in nftp directory
;
;history-file=
;
; whether to keep private (i.e. not anonymous) passwords in the
; history file. passwords are stored in scrambled form, but still
; some evil people might disassemble NFTP to find out how NFTP scrambles
; them. by default, passwords aren't kept. use with caution
;
;keep-passwords=no
;
; whether to record site/path upon entering every directory. causes
; quick growth of history file. disabled by default (recorded are
; start of login procedure, logoff and downloads)
;
;record-everything=no
;
; the max. allowed number of entries in the history file.
; after reaching that number, old entries will be discarded
; one-by-one to give space for new ones. default is to stop
; at 5000 site/path combinations. Lower this figure to say 1000
; you have large history on 486 machine. NOTE: this setting is
; ignored in version 1.22 (don't know yet how to make it right)
;
;entries-watermark=5000
;
; the max. allowed number of sites in the history file.
; after reaching that number, old sites will be discarded
; one-by-one to give space for new ones. default is to stop
; at 1000 sites. Lower this figure to say 100 you have large
; history on 486 machine.
;
;sites-watermark=1000
;
; the max. allowed number of directories per site in the history file.
; after reaching that number, old directories will be discarded.
; default is to keep 50 directories per site when "record-everything"
; is set to "no", and 500 otherwise.
;
;persite-watermark=50

;-----------------------------------------------------------------------
;
; Colours are hexadecimal. First digit - foreground, second - background
; Add 80 to blink
;
; Fore             Fore                Back
; 00 black         08 darkgrey         00 black
; 01 blue          09 light blue       10 blue
; 02 green         0a light green      20 green
; 03 cyan          0b light cyan       30 cyan
; 04 red           0c light red        40 red
; 05 magenta       0d light magenta    50 magenta
; 06 brown         0e yellow           60 brown
; 07 grey          0f white            70 grey
;
[colours]
;
; ----- File Listing ------
;
; cursor pointing to marked directory (default: lightgreen on cyan)
;pointer-marked-dir=3a
;
; cursor pointing to marked file (default: yellow on cyan)
;pointer-marked=3e
;
; cursor pointing to directory (default: blue on cyan)
;pointer-dir=31
;
; cursor pointing to file (default: black on cyan)
;pointer=30
;
; cursor over description in parsed mode (default: black on cyan)
;pointer-desc=30
;
; marked directory (default: lightgreen on black)
;marked-dir=0a
;
; marked file (default: yellow on black)
;marked=0e
;
; directory (default: green on black)
;dir=02
;
; file (default: grey on black)
;regular-file=07
;
; description (default: brown on black)
;file-description=06
;
; ----- Dialog windows ------
;
; dialog window (default: grey on blue)
;dialog-box-text=17
;
; selected element in a dialog window (default: black on grey)
;dialog-box-selected=70
;
; entry field (default: black on cyan)
;dialog-box-entryfield=30
;
; dialog window containing important information (default: grey on red)
;dialog-box-text-warn=47
;
; ----- Control Connection Window ------
;
; window header (default: grey on blue)
;controlconn-header=17
;
; server messages and responces (default: grey on black)
;controlconn-respline=07
;
; command which was sent to server (default: lightgreen on black)
;controlconn-command=0a
;
; comment (actually not a part of control connection) (default: lightred on black)
;controlconn-comment=0c
;
; ------ Bookmarks -------
;
; site description (default: black on grey)
;bookmark-background=70
;
; cursor over site description (default: black on cyan)
;bookmark-pointer=30
;
; host/path (default: red on grey)
;bookmark-hostpath=74
;
; cursor over host/path (default: red on cyan)
;bookmark-hostpath-pointer=34
;
; ------ Built-in File Viewer --------
;
; file contents (default: grey on black)
;viewer-text=07
;
; status line (default: black on cyan)
;viewer-header=30
;
; string found in the text (default: bright-red on black)
;viewer-foundtext=0c
;
; -------- Miscellaneous -------
;
; status lines on remote directory (no. of files, no. of bytes, 
; current host/directory etc.) (default: grey on blue)
;status=17
;
; status lines on local directory (no. of files, no. of bytes, 
;  current host/directory etc.) (default: white on blue)
;status-local=1f
;
; file transfer panel (default: grey on blue)
;transfer-status=17
;
; help viewer (default: black on cyan)
;help=30

;-----------------------------------------------------------------------
;
; Key definitions. Please note that keys should NEVER overlap, i.e. there are
; no keystrokes which act differently in different modes. You can assign
; several keystrokes to the same action; separate them by commas, e.g.:
;    enter-directory=enter,ctrl-pgdn
;
; Some keys (e.g., ctrl-ampersand) do not work at all; don't be surprised.
; Many keys do not work under Unix. Use supplied `keynames' program to
; find out what your system is capable of.
;
; Three-key combinations (like Ctrl-Shift-Left) cannot be used.
;
; Default keystrokes still perform the same functions if not assigned.
; To bind a key to nothing, list it in "nothing=" line.
;
; Available key names are (they are not case-sensitive, except standalone
; character keys like 'a' and 'A'):
;
; backspace tab enter esc lrbracket([) rrbracket(]) minus plus space
; semicolon apostrophe backapostrophe backslash comma period slash
; colon doublequote lcbracket({) rcbracket(}) questionmark lessthan
; greaterthan underline equalsign lparenth"(" rparenth")" ampersand vertline(|)
; percentsign caret(^) dollar grate(#) at(@) exclamation approx(~)
; asterisk f1..f12 insert delete home end pgup pgdn numslash numasterisk
; numminus numplus numenter left right up down gold('5' on numeric keypad)
; a..z A..Z 0..9
;
; All these parameters are of type 'string' and can take more than
; one value. Separate values by comma. Quotes aren't needed because
; key names do not contain special characters.

[keys]

;  binds key to "no action". used to disable unwanted defaults

;nothing=

;  help system

;concise-help=K
;main-help=H
;context-sensitive-help=f1,questionmark
;show-version=ctrl-w
;screen-redraw=ctrl-j
;edit-inifile=f9,ctrl-f

;  login/logout/exit

;login-anonymous=ctrl-l
;login-named=ctrl-n
;bookmarks=ctrl-b
;logoff=ctrl-k
;exit=f10
;no-operation=A

;  control connection window

;quote=Q
;autocontrol=J

;  navigating file listing

;switch-to-cc=space
;switch-local-remote=tab
;scroll-10-right=greaterthan
;scroll-10-left=lessthan

;enter-directory=enter,rrbracket,ctrl-pgdn
;go-root=backslash
;go-up=lrbracket,ctrl-pgup
;change-local-drive=Z
;change-directory=C
;reread=ctrl-r
;load-descriptions=O
;hide-descriptions=ctrl-o

;  sorting file list

;sort-name=N
;sort-ext=X
;sort-time=T
;sort-size=S
;sort-unsort=Y
;sort-reverse=E

;  marking files

;select=insert,M
;select-all=ctrl-a
;deselect-all=ctrl-x
;select-by-filter=plus
;deselect-by-filter=minus
;invert-selection=asterisk
;select-alldirs=alt-numplus
;deselect-alldirs=ctrl-y
;information=I

;  download/upload

;change-transfer-mode=ctrl-t
;download=f5,D
;upload=f6,U
;download-all-dirs=ctrl-d
;upload-all-dirs=ctrl-u
;download-byname=G

;  viewing files

;view-int=f3,ctrl-v
;view-ext=V

;  creating/deleting/renaming

;rename=R
;mkdir=f7,ctrl-g
;delete=f8,delete

;  misc keys

;save-bookmark=f4,B
;history=f2,ctrl-e
;useflags=F
;save-listing=L

; end of nftp.ini
